'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _AUIIcon = require('./AUIIcon');

var _AUIIcon2 = _interopRequireDefault(_AUIIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIButton = function (_Component) {
    _inherits(AUIButton, _Component);

    function AUIButton() {
        _classCallCheck(this, AUIButton);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIButton).apply(this, arguments));
    }

    _createClass(AUIButton, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var icon = _props.icon;
            var type = _props.type;
            var disabled = _props.disabled;
            var children = _props.children;
            var className = _props.className;

            var otherProps = _objectWithoutProperties(_props, ['icon', 'type', 'disabled', 'children', 'className']);

            var iconComponent = null;

            if (icon) {
                iconComponent = _react2.default.createElement(
                    'span',
                    null,
                    _react2.default.createElement(_AUIIcon2.default, { icon: icon }),
                    ' '
                );
            }
            var typeClass = void 0;
            if (type) {
                typeClass = 'aui-button-' + type;
            }

            var classes = (0, _classnames2.default)('aui-button', typeClass);
            if (className) {
                classes += ' ' + className;
            }

            return _react2.default.createElement(
                'button',
                _extends({ className: classes, 'aria-disabled': disabled }, otherProps),
                iconComponent,
                children
            );
        }
    }]);

    return AUIButton;
}(_react.Component);

exports.default = AUIButton;


AUIButton.defaultProps = {
    className: ''
};

AUIButton.displayName = 'AUIButton';
AUIButton.propTypes = {
    /**
     * The type of the button link, primary or subtle
     */
    type: _react.PropTypes.oneOf(['link', 'primary', 'subtle']),
    /**
     * The icon to show in the button
     */
    icon: _react.PropTypes.string,
    /**
     * Disabled
     */
    disabled: _react.PropTypes.bool,
    /**
     * The children of the button
     */
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.string]),
    className: _react.PropTypes.string
};