'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _AUIBlanket = require('./AUIBlanket');

var _AUIBlanket2 = _interopRequireDefault(_AUIBlanket);

var _AUIButton = require('./AUIButton');

var _AUIButton2 = _interopRequireDefault(_AUIButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIDialog = function (_Component) {
    _inherits(AUIDialog, _Component);

    function AUIDialog() {
        _classCallCheck(this, AUIDialog);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIDialog).apply(this, arguments));
    }

    _createClass(AUIDialog, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var type = _props.type;
            var size = _props.size;
            var titleContent = _props.titleContent;
            var headerSecondaryContent = _props.headerSecondaryContent;
            var headerActionContent = _props.headerActionContent;
            var footerActionContent = _props.footerActionContent;
            var footerHintContent = _props.footerHintContent;
            var styles = _props.styles;
            var styleClass = _props.styleClass;

            var otherProps = _objectWithoutProperties(_props, ['type', 'size', 'titleContent', 'headerSecondaryContent', 'headerActionContent', 'footerActionContent', 'footerHintContent', 'styles', 'styleClass']);

            var classes = (0, _classnames2.default)(['aui-layer', 'aui-dialog2', 'aui-dialog2-' + size, { 'aui-dialog2-warning': type === 'warning' }, styleClass]);

            var mainHeader = titleContent ? _react2.default.createElement(
                'h2',
                { className: 'aui-dialog2-header-main' },
                titleContent
            ) : undefined;
            var secondaryHeader = headerSecondaryContent ? _react2.default.createElement(
                'div',
                { className: 'aui-dialog2-header-secondary' },
                headerSecondaryContent
            ) : undefined;
            var headerActions = headerActionContent ? _react2.default.createElement(
                'div',
                { className: 'aui-dialog2-header-actions' },
                headerActionContent
            ) : undefined;
            var closeButton = type !== 'modal' ? _react2.default.createElement(
                'a',
                { className: 'aui-dialog2-header-close', onClick: this.props.onClose },
                _react2.default.createElement(
                    'span',
                    { className: 'aui-icon aui-icon-small aui-iconfont-close-dialog' },
                    this.props.closeButtonText
                )
            ) : undefined;

            var dialogHeader = _react2.default.createElement(
                'header',
                { className: 'aui-dialog2-header ' + this.props.headerStyleClass },
                mainHeader,
                secondaryHeader,
                headerActions,
                closeButton
            );

            var dialogContent = _react2.default.createElement(
                'div',
                { className: 'aui-dialog2-content ' + this.props.contentStyleClass },
                this.props.children
            );

            var footerActions = footerActionContent ? _react2.default.createElement(
                'div',
                { className: 'aui-dialog2-footer-actions' },
                footerActionContent
            ) : undefined;
            var footerHints = footerHintContent ? _react2.default.createElement(
                'div',
                { className: 'aui-dialog2-footer-hint' },
                footerHintContent
            ) : undefined;

            var dialogFooter = _react2.default.createElement(
                'footer',
                { className: 'aui-dialog2-footer ' + this.props.footerStyleClass },
                footerActions,
                footerHints
            );
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    'section',
                    _extends({ role: 'dialog', className: classes, style: styles }, otherProps),
                    dialogHeader,
                    dialogContent,
                    dialogFooter
                ),
                _react2.default.createElement(_AUIBlanket2.default, { onClick: this.props.onClose })
            );
        }
    }]);

    return AUIDialog;
}(_react.Component);

exports.default = AUIDialog;


AUIDialog.displayName = 'AUIDialog';
AUIDialog.propTypes = {
    /**
     * Type of the dialog including
     * default
     * warning which has a red header
     * model which has no close icon at the top right corner
     */
    type: _react.PropTypes.string,
    /**
     * Size of the dialog
     */
    size: _react.PropTypes.oneOf(['small', 'medium', 'large', 'xlarge']).isRequired,
    /**
     * The main header content for dialog
     */
    titleContent: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]),
    /**
     * Dialog action actions to render on the right of the header
     */
    headerActionContent: _react.PropTypes.arrayOf(_react.PropTypes.element),
    /**
     * The secondary header content for dialog
     */
    headerSecondaryContent: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]),
    /**
     * Text for close button and icon
     */
    closeButtonText: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]),
    /**
     * Main dialog content
     */
    children: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]),
    /**
     * Dialog footer hint to render on the left of the footer
     */
    footerHintContent: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]),
    /**
     * Dialog footer actions to render on the right of the footer
     */
    footerActionContent: _react.PropTypes.arrayOf(_react.PropTypes.element),
    /**
     * Custom style object for the whole dialog
     */
    styles: _react.PropTypes.object,
    /**
     * Custom style class for the whole dialog
     */
    styleClass: _react.PropTypes.string,
    /**
     * Custom style class for the dialog header
     */
    headerStyleClass: _react.PropTypes.string,
    /**
     * Custom style class for the dialog content
     */
    contentStyleClass: _react.PropTypes.string,
    /**
     * Custom style class for the dialog footer
     */
    footerStyleClass: _react.PropTypes.string,
    /**
     * Callback for dialog close event
     */
    onClose: _react.PropTypes.func
};