'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIIcon = function (_Component) {
  _inherits(AUIIcon, _Component);

  function AUIIcon() {
    _classCallCheck(this, AUIIcon);

    return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIIcon).apply(this, arguments));
  }

  _createClass(AUIIcon, [{
    key: 'render',
    value: function render() {
      var iconfontClass = void 0;
      var customStyle = void 0;
      var className = this.props.className;
      var _props = this.props;
      var icon = _props.icon;
      var size = _props.size;
      var style = _props.style;
      var useIconFont = _props.useIconFont;
      var customIcon = _props.customIcon;
      var onClick = _props.onClick;
      var onMouseEnter = _props.onMouseEnter;
      var onMouseLeave = _props.onMouseLeave;
      var children = _props.children;


      if (icon) {
        iconfontClass = useIconFont ? 'aui-iconfont-' + icon : 'aui-icon-' + icon;
      }

      className = (0, _classnames2.default)('aui-icon', 'aui-icon-' + size, iconfontClass, className);

      customStyle = style || {};
      if (customIcon) {
        customStyle.backgroundImage = 'url(' + customIcon + ')';
      }

      return _react2.default.createElement(
        'span',
        { className: className, style: customStyle, onClick: onClick, onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave },
        children
      );
    }
  }]);

  return AUIIcon;
}(_react.Component);

exports.default = AUIIcon;


AUIIcon.defaultProps = {
  useIconFont: true,
  size: 'small'
};
AUIIcon.displayName = 'AUIIcon';
AUIIcon.propTypes = {
  /**
   * Icon innerHtml text/code (could be a string or an element)
   */
  children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.string]),

  /**
   * Icon specific style
   */
  style: _react.PropTypes.object,

  /**
   * Type of icon size
   */
  size: _react.PropTypes.oneOf(['small', 'medium', 'large']),

  /**
   * Icon kind
   */
  icon: _react.PropTypes.string,

  /**
   * Replacement for Icon `background-image`
   */
  customIcon: _react.PropTypes.string,

  /**
   * Custom ClassName
   */
  className: _react.PropTypes.string,

  /**
   * Flag to define we are using icon of iconfont
   */
  useIconFont: _react.PropTypes.bool,

  /**
   * A click event bound on the icon
   */
  onClick: _react.PropTypes.func,

  /**
   * A mouse entering event bound on the icon
   */
  onMouseEnter: _react.PropTypes.func,

  /**
   * A mouse leaving event bound on the icon
   */
  onMouseLeave: _react.PropTypes.func
};