'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AUINav = require('./AUINav');

var _AUINav2 = _interopRequireDefault(_AUINav);

var _AUINavHeading = require('./AUINavHeading');

var _AUINavHeading2 = _interopRequireDefault(_AUINavHeading);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUISidebarGroup = function (_Component) {
    _inherits(AUISidebarGroup, _Component);

    function AUISidebarGroup() {
        _classCallCheck(this, AUISidebarGroup);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUISidebarGroup).apply(this, arguments));
    }

    _createClass(AUISidebarGroup, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var groupId = _props.groupId;
            var tier = _props.tier;
            var heading = _props.heading;
            var options = _props.options;
            var children = _props.children;
            var className = _props.className;

            var classes = (0, _classnames2.default)('aui-sidebar-group', 'aui-sidebar-group-tier-' + tier, groupId, className);

            var header = typeof heading === 'string' ? _react2.default.createElement(
                _AUINavHeading2.default,
                null,
                heading
            ) : heading;

            return _react2.default.createElement(
                'div',
                { id: groupId, style: { paddingTop: 15 }, className: classes },
                _react2.default.createElement(
                    'div',
                    { className: 'aui-navgroup-inner' },
                    header,
                    _react2.default.createElement(
                        _AUINav2.default,
                        { options: options },
                        children
                    )
                )
            );
        }
    }]);

    return AUISidebarGroup;
}(_react.Component);

exports.default = AUISidebarGroup;


AUISidebarGroup.displayName = 'AUISidebarGroup';

AUISidebarGroup.propTypes = {
    className: _react.PropTypes.string,
    children: _react.PropTypes.node,
    options: _react.PropTypes.array,
    groupId: _react.PropTypes.string.isRequired,
    heading: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.element]).isRequired,
    tier: _react.PropTypes.string
};

AUISidebarGroup.defaultProps = {
    tier: 'one'
};