import React from 'react';
import classnames from 'classnames';

class AUIApplicationLogo extends React.Component {
    constructor(props) {
        super(props);
    }
    render() {
        let logoClass;
        if (this.props.logo) {
            logoClass = 'aui-header-logo-' + this.props.logo;
        }
        const classes = classnames('aui-header-logo', { 'aui-header-logo-textonly': this.props.text }, logoClass);
        return (
            <h1 className={classes} id="logo">
                <a href={this.props.headerLink}>
                    <span className="aui-header-logo-device">{this.props.children || this.props.text}</span>
                </a>
            </h1>
        );
    }
}

AUIApplicationLogo.defaultProps = {
    headerLink: '/'
};

AUIApplicationLogo.displayName = 'AUIApplicationLogo';
AUIApplicationLogo.propTypes = {
    children: React.PropTypes.element,
    headerLink: React.PropTypes.string,
    logo: React.PropTypes.oneOf(['aui', 'bamboo', 'bitbucket', 'confluence', 'crowd', 'fecru', 'hipchat', 'jira', 'stash']).isRequired,
    text: React.PropTypes.string
};

export default AUIApplicationLogo;
