import React, { Component, PropTypes } from 'react';
import classnames from 'classnames';

export default class AUIAvatar extends Component {
    render() {
        const classes = classnames('aui-avatar', {
            'aui-avatar-project': this.props.isProject === true
        }, 'aui-avatar-' + this.props.size);
        return (
            <span className={classes}>
                <span className="aui-avatar-inner">
                    <img src={this.props.src} />
                </span>
            </span>
        );
    }
}

AUIAvatar.displayName = 'AUIAvatar';
AUIAvatar.propTypes = {
    src: PropTypes.string,
    size: PropTypes.oneOf(['xsmall', 'small', 'medium', 'large', 'xlarge', 'xxlarge', 'xxxlarge']),
    isProject: PropTypes.bool
};
