import React from 'react';
import classnames from 'classnames';

class AUIMessage extends React.Component {
    render() {
        let typeClass;
        if (this.props.type) {
            typeClass = 'aui-message-' + this.props.type;
        }
        const classes = classnames('aui-message', typeClass);

        let title;

        if (this.props.title) {
            title = <p className="title"><strong>{this.props.title}</strong></p>;
        }
        return (
            <div className={classes}>
                {title}
                {this.props.children}
            </div>
        );
    }
}
AUIMessage.propTypes = {
    children: React.PropTypes.oneOfType([
        React.PropTypes.string,
        React.PropTypes.element
    ]).isRequired,
    title: React.PropTypes.string,
    type: React.PropTypes.oneOf(['warning', 'error', 'success', 'hint', 'info'])
};

AUIMessage.displayName = 'AUIMessage';

export default AUIMessage;
