import React from 'react';
import classNames from 'classnames';
import AUINavItem from './AUINavItem';

export default class AUINav extends React.Component {
    render() {
        let dataDrivenOptions;

        if (this.props.options) {
            dataDrivenOptions = this.props.options.map(option => {
                return (
                    <li key={option.props.to}>
                        {option}
                    </li>
                );
            });
        }

        return (
            <ul className="aui-nav">
                {dataDrivenOptions}
                {this.props.children}
            </ul>
        );
    }
}

AUINav.propTypes = {
    onChange: React.PropTypes.func,
    options: React.PropTypes.array,
    selected: React.PropTypes.string,
    children: React.PropTypes.node
};

AUINav.displayName = 'AUINav';
