import React, { Component, PropTypes } from 'react';
import classnames from 'classnames';

export default class AUINavItem extends Component {
    render() {
        const classes = classnames({ 'aui-nav-selected': this.props.selected });
        return (
            <li className={classes}>
                <a href={this.props.href} className="aui-nav-item">{this.props.children}</a>
            </li>
        );
    }
}

AUINavItem.displayName = 'AUINavItem';
AUINavItem.propTypes = {
    href: PropTypes.string,
    selected: PropTypes.bool,
    children: PropTypes.oneOfType([
        PropTypes.element,
        PropTypes.string
    ])
};
