import React, { Component, PropTypes } from 'react';
import AUIPagePanel from './AUIPagePanel';

class AUIPageContent extends Component {
    render() {
        return (
            <section id="content" role="main" className={this.props.className}>
                {this.props.pageHeader}
                {this.props.sidebar}
                <AUIPagePanel nav={this.props.nav} aside={this.props.aside} style={this.props.style}>{this.props.children}</AUIPagePanel>
            </section>
        );
    }
}

AUIPageContent.displayName = 'AUIPageContent';
AUIPageContent.propTypes = {
    children: PropTypes.oneOfType([
        PropTypes.element,
        PropTypes.arrayOf(PropTypes.element)
    ]),
    nav: PropTypes.element,
    aside: PropTypes.element,
    sidebar: PropTypes.element,
    pageHeader: PropTypes.element,
    style: PropTypes.object,
    className: PropTypes.string
};

export default AUIPageContent;
