import React, { Component, PropTypes } from 'react';

class AUIPagePanel extends Component {
    render() {
        let nav;
        if (this.props.nav) {
            nav = (
                <div className="aui-page-panel-nav">
                    {this.props.nav}
                </div>
            );
        }

        let aside;
        if (this.props.aside) {
            aside = (
                <div className="aui-page-panel-sidebar content-sidebar">
                    {this.props.aside}
                </div>
            );
        }

        return (
            <div className="aui-page-panel" style={this.props.style}>
                <div className="aui-page-panel-inner">
                    {nav}
                    <section className="aui-page-panel-content content-body">
                        {this.props.children}
                    </section>
                    {aside}
                </div>
            </div>
        );
    }
}

AUIPagePanel.displayName = 'AUIPagePanel';
AUIPagePanel.propTypes = {
    children: PropTypes.oneOfType([
        PropTypes.element,
        PropTypes.arrayOf(PropTypes.element)
    ]),
    nav: PropTypes.element,
    aside: PropTypes.element,
    style: PropTypes.object
};

export default AUIPagePanel;
