import React, { Component, PropTypes } from 'react';
import AUINav from './AUINav';
import AUINavHeading from './AUINavHeading';
import classnames from 'classnames';

export default class AUISidebarGroup extends Component {
    render() {
        const { groupId, tier, heading, options, children, className } = this.props;
        const classes = classnames('aui-sidebar-group', `aui-sidebar-group-tier-${tier}`,groupId, className);

        const header = (typeof heading === 'string') ? <AUINavHeading>{heading}</AUINavHeading> : heading;

        return (
            <div id={groupId} style={{paddingTop:15}} className={classes}>
                <div className="aui-navgroup-inner">
                    { header }

                    <AUINav options={options}>{children}</AUINav>
                </div>
            </div>
        );
    }
}

AUISidebarGroup.displayName = 'AUISidebarGroup';

AUISidebarGroup.propTypes = {
    className: PropTypes.string,
    children: PropTypes.node,
    options: PropTypes.array,
    groupId: PropTypes.string.isRequired,
    heading: React.PropTypes.oneOfType([
        React.PropTypes.string,
        React.PropTypes.element
    ]).isRequired,
    tier: PropTypes.string
};

AUISidebarGroup.defaultProps = {
    tier: 'one'
};
