import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';
import ReactTestUtils from 'react-addons-test-utils';
const shallowRenderer = ReactTestUtils.createRenderer();

import { expect } from 'chai';
import AUIApplicationLogo from '../src/AUIApplicationLogo';

describe('AUIApplicationLogo', () => {
    it('should render the correct markup', () => {
        expect(renderToStaticMarkup(<AUIApplicationLogo />)).to.equal(`<h1 class="aui-header-logo" id="logo"><a href="/"><span class="aui-header-logo-device"></span></a></h1>`);
    });

    it('should render the correct class on the container for the confluence logo', () => {
        shallowRenderer.render(<AUIApplicationLogo logo="confluence" />);
        const renderedTree = shallowRenderer.getRenderOutput();
        expect(renderedTree.props.className).to.equal('aui-header-logo aui-header-logo-confluence');
    });
});
