import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';
import { expect } from 'chai';
import AUINavItem from '../src/AUINavItem';

describe('AUINavItem', () => {
    it('should render the correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUINavItem />)).to.equal(`<li class=""><a class="aui-nav-item"></a></li>`);
    });

    it('should render the correct AUI markup for a selected nav item', () => {
        expect(renderToStaticMarkup(<AUINavItem selected />)).to.equal(`<li class="aui-nav-selected"><a class="aui-nav-item"></a></li>`);
    });
});
