import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

import { expect } from 'chai';
import AUISection from '../src/AUISection';

describe('AUISection', () => {
    it('should render to correct AUI webcomponent', () => {
        expect(renderToStaticMarkup(<AUISection>Hello world</AUISection>)).to.equal(`<aui-section>Hello world</aui-section>`);
    });

    it('should spread properties to the AUI webcomponent', () => {
        const mockStyles = { marginTop:20 };
        expect(renderToStaticMarkup(<AUISection style={mockStyles}>Hello world</AUISection>)).to.equal(`<aui-section style="margin-top:20px;">Hello world</aui-section>`);
    });
});
